# -*- coding: utf-8 -*-

from .widget import Widget


class Label(Widget):
    def __init__(self, label=''):
        Widget.__init__(self, len(label), 1)

        self.label = label
        self.connect('draw', self.on_draw)


    def on_draw(self, screen, x, y):
        screen.puts(x, y, self.label)


